apiVersion: networking.k8s.io/v1beta1
kind: Ingress
metadata:
  name: {{ .Values.application.name }}
  namespace: {{ .Values.application.name }}
  annotations:
    kubernetes.io/ingress.class: alb
    alb.ingress.kubernetes.io/scheme: internet-facing
    alb.ingress.kubernetes.io/target-type: ip
    alb.ingress.kubernetes.io/subnets: subnet-01e714681b65b7db5
    alb.ingress.kubernetes.io/certificate-arn: arn:aws:acm:us-east-1:993544986134:certificate/448fcd60-1ed0-4166-ae51-fc13ac299f47
    alb.ingress.kubernetes.io/listen-ports: '[{"HTTP": 80}, {"HTTPS":443}]'
    alb.ingress.kubernetes.io/actions.ssl-redirect: '{"Type": "redirect", "RedirectConfig": { "Protocol": "HTTPS", "Port": "443", "StatusCode": "HTTP_301"}}'
spec:
  rules:
    - host: neoteam.tk
      http:
        paths:
          - path: /*
            backend:
              serviceName: ssl-redirect
              servicePort: use-annotation
          - path: /*
            backend:
              serviceName: {{ .Values.application.name }}
              servicePort: 80
